Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class I18NBundle

    java.lang.Object
      java.util.ResourceBundle
          de.grogra.util.I18NBundle

    public final class I18NBundle

extends java.util.ResourceBundle

Nested Class Summary

Nested classes/interfaces inherited from class java.util.ResourceBundle
`java.util.ResourceBundle.Control`

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`I18NBundle(java.util.ResourceBundle parent, java.lang.String baseName)`

Method Summary
`static void` | `addResourceConverter(ResourceConverter c)`
`java.lang.Object` | `convertResource(java.lang.Object resource)`
`java.lang.String` | `getBaseName()`
`java.lang.ClassLoader` | `getClassLoader()`
`static I18NBundle` | `getInstance(java.lang.Class cls)`
`static I18NBundle` | `getInstance(java.lang.String bundle, java.lang.String baseName, java.lang.ClassLoader loader)`
`java.util.Enumeration` | `getKeys()`
`java.lang.Object` | `getObject(java.lang.String key, java.lang.Object defaultValue)`
`java.lang.String` | `getString(java.lang.String key, java.lang.String defaultValue)`
`java.lang.String` | `getStringOrNull(java.lang.String key)`
`protected java.lang.Object` | `handleGetObject(java.lang.String key)`
`void` | `initClassLoader(java.lang.ClassLoader loader)`
`Described` | `keyToDescribed(java.lang.String key)`
`java.lang.String` | `msg(java.lang.String key)`
`java.lang.String` | `msg(java.lang.String key, java.lang.Object arg1)`
`java.lang.String` | `msg(java.lang.String key, java.lang.Object[] arguments)`
`java.lang.String` | `msg(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.String` | `msg(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`java.lang.String` | `msg(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`java.lang.String` | `msg(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5)`
`static void` | `removeResourceConverter(ResourceConverter c)`

Methods inherited from class java.util.ResourceBundle
`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I18NBundle

    public I18NBundle(java.util.ResourceBundle parent,
                      java.lang.String baseName)

Method Detail

### addResourceConverter

    public static void addResourceConverter(ResourceConverter c)

### convertResource

    public java.lang.Object convertResource(java.lang.Object resource)

### getBaseName

    public java.lang.String getBaseName()

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getInstance

    public static I18NBundle getInstance(java.lang.Class cls)

### getInstance

    public static I18NBundle getInstance(java.lang.String bundle,
                                         java.lang.String baseName,
                                         java.lang.ClassLoader loader)

### getKeys

    public java.util.Enumeration getKeys()

  Specified by:
    `getKeys` in class `java.util.ResourceBundle`

### getObject

    public java.lang.Object getObject(java.lang.String key,
                                      java.lang.Object defaultValue)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.String defaultValue)

### getStringOrNull

    public java.lang.String getStringOrNull(java.lang.String key)

### handleGetObject

    protected java.lang.Object handleGetObject(java.lang.String key)

  Specified by:
    `handleGetObject` in class `java.util.ResourceBundle`

### initClassLoader

    public void initClassLoader(java.lang.ClassLoader loader)

### keyToDescribed

    public Described keyToDescribed(java.lang.String key)

### msg

    public java.lang.String msg(java.lang.String key)
                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### msg

    public java.lang.String msg(java.lang.String key,
                                java.lang.Object arg1)
                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### msg

    public java.lang.String msg(java.lang.String key,
                                java.lang.Object[] arguments)
                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### msg

    public java.lang.String msg(java.lang.String key,
                                java.lang.Object arg1,
                                java.lang.Object arg2)
                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### msg

    public java.lang.String msg(java.lang.String key,
                                java.lang.Object arg1,
                                java.lang.Object arg2,
                                java.lang.Object arg3)
                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### msg

    public java.lang.String msg(java.lang.String key,
                                java.lang.Object arg1,
                                java.lang.Object arg2,
                                java.lang.Object arg3,
                                java.lang.Object arg4)
                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### msg

    public java.lang.String msg(java.lang.String key,
                                java.lang.Object arg1,
                                java.lang.Object arg2,
                                java.lang.Object arg3,
                                java.lang.Object arg4,
                                java.lang.Object arg5)
                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### removeResourceConverter

    public static void removeResourceConverter(ResourceConverter c)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD